Index: /data/trunk/levels/sp_cutscene_intro.oxw
===================================================================
--- /data/trunk/levels/sp_cutscene_intro.oxw	(revision 4560)
+++ /data/trunk/levels/sp_cutscene_intro.oxw	(revision 4561)
@@ -21,12 +21,17 @@
         </SkyBox>
 
+        <NPC>
+          <name>shutleOne</name>
+          <model>models/spaceships/noxon_spaceship_fighter.obj</model>
+          <abs-coor>0, 0, 1000</abs-coor>
+          <abs-dir> 1.5,0,1,0 </abs-dir>
+        </NPC>
 
-	<Planet>
-	  <name>Earth</name>
-	  <size>140</size>
-	  <abs-coor>0, 0, -200</abs-coor>
-	  <texture>textures/planets/mars.png</texture>
-	</Planet>
-
+        <Planet>
+	    <name>Earth</name>
+	    <size>140</size>
+	    <abs-coor>0, 0, -200</abs-coor>
+	    <texture>textures/planets/mars.png</texture>
+	  </Planet>
 
         <Planet>
@@ -76,19 +81,30 @@
 
 
-   <CameraMan>
-    <name> cameraManager </name>
+  <CameraMan>
+   <name> cameraManager </name>
+   <Cameras>
+    <Camera>
+     <name> CameraOne </name>
+     <abs-coor>500,0,0</abs-coor>
+     <Track>
+       <mode>1</mode>
+       <speed>1</speed>
+       <addPoint>500,0,0</addPoint>
+       <addPoint>450,0,0</addPoint>
+       <addPoint>350,0,0</addPoint>
+       <addPoint>300,0,0</addPoint>
+       <addPoint>250,0,0</addPoint>
+       <addPoint>200,0,0</addPoint>
+       <addPoint>150,0,0</addPoint>
+       
+     </Track>
+    </Camera>
 
-     <Camera>
-      <name> CameraOne </name>
-      <abs-coor>500,0,0</abs-coor>
-      <Track>
-        <mode>1</mode>
-        <speed>1</speed>
-        <addPoint>500,0,0</addPoint>
-        <addPoint>400,0,200</addPoint>
-      </Track>
-     </Camera>
-
-   </CameraMan>
+    <Camera>
+     <name> CameraTwo </name>
+     <abs-coor>500,0,0</abs-coor>
+    </Camera>
+   </Cameras>
+  </CameraMan>
 
   <Music>music/tower01.ogg</Music>
Index: /data/trunk/scripts/cutscene/cutscene.lua
===================================================================
--- /data/trunk/scripts/cutscene/cutscene.lua	(revision 4560)
+++ /data/trunk/scripts/cutscene/cutscene.lua	(revision 4561)
@@ -1,13 +1,61 @@
+-- Main trigger
 trigger = ScriptTrigger()                     -- Create the trigger
 trigger:setScript("cutscene.lua")             -- Tell the trigger which script to call
 trigger:setFunction("tick")                   -- Tell the trigger which scriptfunction to call
-trigger:setActiveOnCreation(true)              
+trigger:setActiveOnCreation(true)      
+
+-- Cameraswitchone
+triggerOne = ScriptTrigger()
+triggerOne:setScript("cutscene.lua")
+triggerOne:setFunction("switchCamTargetToEarth")
+triggerOne:setAbsCoor(250, 0 , 0)
+triggerOne:setTarget("CameraOne")
+triggerOne:setRadius(1)
+triggerOne:setDebugDraw(true)
+
+
+-- Cameraswitchtwo
+triggerTwo = ScriptTrigger()
+triggerTwo:setScript("cutscene.lua")
+triggerTwo:setFunction("switchCamToSpaceship")
+triggerTwo:setAbsCoor(250, 0 , 0)
+triggerTwo:setTarget("shutleOne")
+triggerTwo:setRadius(1)
+triggerTwo:setDebugDraw(true)  
+
+-- Cameraswitchthree
+triggerThree = ScriptTrigger()
+triggerThree:setScript("cutscene.lua")
+triggerThree:setFunction("switchCamToStation")
+triggerThree:setAbsCoor(250, 0 , 0)
+triggerThree:setTarget("CameraTwo")
+triggerThree:setRadius(1)
+triggerThree:setDebugDraw(true)  
+
  
 -- Get objects from orxonox
 thisscript:addObject("CameraMan", "cameraManager")
+thisscript:addObject("NPC", "shutleOne")
+
+-- Global Variables
+time = 0
 
 
-time = 0
-cameraSwitched = false
+-- Switch cam functions
+function switchCamTargetToEarth(timestep)
+cameraManager:changeCurrTarget("Planet", "Earth")
+return true
+end
+
+function switchCamToSpaceship(timestep)
+cameraManager:atachCurrCameraToWorldEntity( "NPC", "shutleOne")
+return true
+end
+
+function switchCamToStation(timestep)
+cameraManager:atachCurrCameraToWorldEntity("Building", "zhara")
+return true
+end
+
 
 -- THE tick function
@@ -15,11 +63,11 @@
 function tick(timestep)
 time = time + timestep
+cameraManager:setCam("CameraOne")
+--cameraManager:atachCurrCameraToWorldEntity( "NPC", "shutleOne")
 
-cameraManager:changeTarget( "CameraOne", "Planet", "Moon")
-cameraManager:setCam("CameraOne")
 cameraSwitched = true
 
 if time > 4 then
-cameraManager:togglFade()
+--cameraManager:togglFade()
 return true
 end
